Subject: RE: Re: [Sipping] draft-cgkim-sipping-info-00

From: 김춘규 <[email-masked]>
Date: Thu, 19 Feb 2004 16:23:19 +0900

IM seems to be appropriate for PTZ control and MRCP for exchanging sesison commands under RTP circumstances if I define some applications specific to this project.
Camera control, however, needs to be implemented quite simplely to reduce the cost of stacking SIP in the control unit.
It seems to me that this suggestions are heavy a little bit for this purpose, though. 
Aren't they ?

-----원본 메시지-----
보낸 사람: "Henning Schulzrinne" <[email-masked]>
보낸 날짜: 2004-02-15 오전 2:36:59
받는 사람: "Cullen Jennings" <[email-masked]>
참조: "sipping" <>
제목: Re: [Sipping] draft-cgkim-sipping-info-00

IM works quite well for this and similar applications. We use it to
control other devices beyond cameras, too, as sending an IM saying "look
at me" and "move camera 20 degrees" are semantically rather similar.

Should this be in MMUSIC?

Cullen Jennings wrote:

> I think this topic of far end camera control is important but I don't think
> this is the right way to do it. It seems like it would work better to use
> SIP to set up a session and use the data in this session to do the control.
> Sort of like MRCPv2 or session mode IM does. Have you considered something
> like using session mode IM to send mime bodies controlled the camera. One
> could define a mime type like application/fecc and send IM with a body like
>
> <pan-relative angle="20" \>
>
> To pan clockwise by 20 degrees from the present position. Anyway, I don't
> know the best way to do this and we should probably figure out requirements
> before jumping into solutions but I would be glad to see some work like this
> get done. Not sure that sipping is the best place for it.
>
> Cullen
>
>
> 
>
>
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP